Bug 996392 - [abrt] gnome-abrt-0.3.0-3.fc20: problems.py:160:__getitem__:TypeError: float() argument must be a string or a number
[abrt] gnome-abrt-0.3.0-3.fc20: problems.py:160:__getitem__:TypeError: float(...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
20
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:c4bc43dc3905617593d02692357...
:
Depends On: 995337
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 02:15 EDT by Christopher Meng
Modified: 2016-11-30 19:44 EST (History)
2 users (show)

See Also:
Fixed In Version: gnome-abrt-0.3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 05:30:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2013-08-13 02:15 EDT, Christopher Meng
no flags Details
File: environ (1.78 KB, text/plain)
2013-08-13 02:15 EDT, Christopher Meng
no flags Details

  None (edit)
Description Christopher Meng 2013-08-13 02:15:46 EDT
Version-Release number of selected component:
gnome-abrt-0.3.0-3.fc20

Additional info:
reporter:       libreport-2.1.6
cmdline:        python /usr/bin/gnome-abrt
executable:     /usr/bin/gnome-abrt
kernel:         3.11.0-0.rc3.git4.2.fc20.i686+PAE
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
problems.py:160:__getitem__:TypeError: float() argument must be a string or a number

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 329, in _on_source_btn_clicked
    res, old_source = self._switch_source(btn.source)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 351, in _switch_source
    self._reload_problems(source)
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 473, in _reload_problems
    storage_problems.append(problem_to_storage_values(p))
  File "/usr/lib/python2.7/site-packages/gnome_abrt/views.py", line 86, in problem_to_storage_values
    "{0!s}\n{1!s}".format(fancydate(problem['date_last']),
  File "/usr/lib/python2.7/site-packages/gnome_abrt/problems.py", line 160, in __getitem__
    return datetime.datetime.fromtimestamp(float(self['time']))
TypeError: float() argument must be a string or a number

Local variables in innermost frame:
cached: True
item: 'date_last'
self: <gnome_abrt.problems.Problem instance at 0xb661078c>
last_ocr: None

Potential duplicate: bug 995337
Comment 1 Christopher Meng 2013-08-13 02:15:53 EDT
Created attachment 786000 [details]
File: backtrace
Comment 2 Christopher Meng 2013-08-13 02:15:57 EDT
Created attachment 786001 [details]
File: environ
Comment 3 Fedora End Of Life 2013-09-16 12:32:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Jakub Filak 2013-09-19 05:30:21 EDT
gnome-abrt-0.3.1-1.fc20 has been pushed to the Fedora 20 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.